%define name		    icewm
%define version		    1.2.6
%define release		    1f3
%define group		    User Interface/Desktops

%define prefix		    %{_usr}
%define exec_prefix	    %{_usr}
%define sysconfdir	    %{_sysconfdir}
%define bindir		    %{exec_prefix}/bin/
%define libdir		    %{exec_prefix}/share/icewm/
%define locdir		    %{prefix}/share/locale/
%define docdir		    %{_docdir}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Fast and small X11 window manager
Group:		%{group}
License:	LGPL
URL:		http://www.icewm.org/
Packager:       Troy Dawson <dawson@fnal.gov>
Source:		http://download.sourceforge.net/icewm/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

obsoletes:	icewm-common
obsoletes:	icewm-default
obsoletes:	icewm-experimental
obsoletes:	icewm-gnome
obsoletes:	icewm-lite
obsoletes:	icewm-menu-gnome1
obsoletes:	icewm-l10n


%description
A lightweight window manager for the X Window System. Optimized for
"feel" and speed, not looks. Features multiple workspaces, opaque
move/resize, task bar, window list, clock, mailbox, CPU, Network, APM
status. 

%prep

%setup

%build
  CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
     --prefix=%{prefix} \
     --exec-prefix=%{exec_prefix} \
     --sysconfdir=%{sysconfdir} \
     --with-docdir=%{docdir} \
     \
     --with-gnome-menus
  make

%install
  make DESTDIR=$RPM_BUILD_ROOT install

%clean
  test -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS CHANGES TODO BUGS FAQ* doc/*.html doc/icewm.sgml
%doc icewm.lsm

%config %{libdir}/keys
%config %{libdir}/menu
%config %{libdir}/preferences
%config %{libdir}/toolbar
%config %{libdir}/winoptions

%dir %{libdir}/icons
%dir %{libdir}/ledclock
%dir %{libdir}/mailbox
%dir %{libdir}/taskbar
%dir %{libdir}/themes

%{bindir}/*
%{libdir}/icons/*
%{libdir}/ledclock/*
%{libdir}/mailbox/*
%{libdir}/taskbar/*
%{libdir}/themes/nice/*

#%files menu-gnome1
%{bindir}/icewm-menu-gnome1

#%files l10n
%dir %{locdir}
%{locdir}/*

#%files themes
%dir %{libdir}/themes/nice2
%{libdir}/themes/nice2/*
%dir %{libdir}/themes/gtk2
%{libdir}/themes/gtk2/*
%dir %{libdir}/themes/warp3
%{libdir}/themes/warp3/*
%dir %{libdir}/themes/warp4
%{libdir}/themes/warp4/*
%dir %{libdir}/themes/motif
%{libdir}/themes/motif/*
%dir %{libdir}/themes/win95
%{libdir}/themes/win95/*
%dir %{libdir}/themes/metal2
%{libdir}/themes/metal2/*
%dir %{libdir}/themes/Infadel2
%{libdir}/themes/Infadel2/*
%dir %{libdir}/themes/blueice
%{libdir}/themes/blueice/*
%dir %{libdir}/themes/bluePlastic
%{libdir}/themes/bluePlastic/*
%dir %{libdir}/themes/TrueCurve
%{libdir}/themes/TrueCurve/*

%changelog
* Mon Mar 03 2003 Troy Dawson <dawson@fnal.gov>
1.2.6-1f3 - Redid the packing to make it even more simpler.
 - Added icons, themes and menu items.

* Sun Dec 15 2002 Marko Macek <marko.macek@gmx.net>
1.2.3pre2 - Completely rewritten and simplified packaging.

